Package net.md_5.bungee.api.dialog.input

# Class TextInput

java.lang.Object
net.md_5.bungee.api.dialog.input.DialogInput
net.md_5.bungee.api.dialog.input.TextInput

public class TextInput extends DialogInput
Represents a textbox input.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TextInput.Multiline`
  Configuration data for a multiline input.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextInput(@NonNull String key, @NonNull BaseComponent label)`
  `TextInput(@NonNull String key, Integer width, @NonNull BaseComponent label, Boolean labelVisible, String initial, Integer maxLength)`
  `TextInput(@NonNull String key, Integer width, @NonNull BaseComponent label, Boolean labelVisible, String initial, Integer maxLength, TextInput.Multiline multiline)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `initial()`
  The initial value of this text input.
  `TextInput`
  `initial(String initial)`
  The initial value of this text input.
  `@NonNull BaseComponent`
  `label()`
  The label of this text input.
  `TextInput`
  `label(@NonNull BaseComponent label)`
  The label of this text input.
  `Boolean`
  `labelVisible()`
  The visibility of this text input's label.
  `TextInput`
  `labelVisible(Boolean labelVisible)`
  The visibility of this text input's label.
  `Integer`
  `maxLength()`
  The maximum length of the input (default: 32).
  `TextInput`
  `maxLength(Integer maxLength)`
  The maximum length of the input (default: 32).
  `TextInput.Multiline`
  `multiline()`
  If present, allows users to input multiple lines.
  `TextInput`
  `multiline(TextInput.Multiline multiline)`
  If present, allows users to input multiple lines.
  `String`
  `toString()`
  `Integer`
  `width()`
  The width of this text input (default: 200, minimum: 1, maximum: 1024).
  `TextInput`
  `width(Integer width)`

  ### Methods inherited from class net.md_5.bungee.api.dialog.input.DialogInput

  `key, type`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextInput

    public TextInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label)

  - ### TextInput

    public TextInput(@NonNull @NonNull String key, Integer width, @NonNull @NonNull BaseComponent label, Boolean labelVisible, String initial, Integer maxLength)

  - ### TextInput

    public TextInput(@NonNull @NonNull String key, Integer width, @NonNull @NonNull BaseComponent label, Boolean labelVisible, String initial, Integer maxLength, TextInput.Multiline multiline)

- ## Method Details

  - ### width

    public TextInput width(Integer width)

  - ### width

    public Integer width()
    The width of this text input (default: 200, minimum: 1, maximum: 1024).

  - ### label

    @NonNull public @NonNull BaseComponent label()
    The label of this text input.

  - ### labelVisible

    public Boolean labelVisible()
    The visibility of this text input's label.

  - ### initial

    public String initial()
    The initial value of this text input.

  - ### maxLength

    public Integer maxLength()
    The maximum length of the input (default: 32).

  - ### multiline

    public TextInput.Multiline multiline()
    If present, allows users to input multiple lines.

  - ### label

    public TextInput label(@NonNull @NonNull BaseComponent label)
    The label of this text input.
    Returns:
      `this`.

  - ### labelVisible

    public TextInput labelVisible(Boolean labelVisible)
    The visibility of this text input's label.
    Returns:
      `this`.

  - ### initial

    public TextInput initial(String initial)
    The initial value of this text input.
    Returns:
      `this`.

  - ### maxLength

    public TextInput maxLength(Integer maxLength)
    The maximum length of the input (default: 32).
    Returns:
      `this`.

  - ### multiline

    public TextInput multiline(TextInput.Multiline multiline)
    If present, allows users to input multiple lines.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DialogInput`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `DialogInput`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `DialogInput`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DialogInput`